{
	"format_version": "1.16.0",
	"minecraft:structure_template_feature": {
		"description": {
			"identifier": "guardian:palm_tree_3_feature_mcstructure"
		},
		"structure_name": "mystructure:palm_tree_3",
		"adjustment_radius": 8,
		"facing_direction": "random",
		"constraints": {
			"grounded": {},
			"block_intersection": {
				"block_whitelist": [
					{
						"name": "minecraft:grass"
					},
					{
						"name": "minecraft:sand"
					},
					{
						"name": "minecraft:air"
					},
					{
						"name": "minecraft:dirt"
					}
					]
				}
			}
		}
	}
}
